Bug 138345 - problem with LARGFILE in ia32el
problem with LARGFILE in ia32el
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ia32el (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 09:12 EST by Yoav Zach
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 13:05:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testcase to demonstrate the problem of mappinga LARGFILE (941 bytes, text/plain)
2004-11-08 09:13 EST, Yoav Zach
no flags Details
fixes the problem with mmap'ing large files (7.28 KB, patch)
2004-11-08 09:15 EST, Yoav Zach
no flags Details | Diff

  None (edit)
Description Yoav Zach 2004-11-08 09:12:52 EST
Description of problem:
The file-offset field of the mmap() system call is being truncated to 
32-bits, even in programs that are compiled with all the LARGEFILE 
support.


Version-Release number of selected component (if applicable):


How reproducible:
consistently

Steps to Reproduce:
build the attached testcase on IA-32 machine and run it on IPF 
machine with ia32el enabled.  

Actual results:
the actual output is "Start-of-file".

Expected results:
the expected output should be "Four-GBytes!!".

Additional info:
Comment 1 Yoav Zach 2004-11-08 09:13:32 EST
Created attachment 106278 [details]
testcase to demonstrate the problem of mappinga LARGFILE
Comment 2 Yoav Zach 2004-11-08 09:15:26 EST
Created attachment 106279 [details]
fixes the problem with mmap'ing large files
Comment 3 Yoav Zach 2004-11-08 09:17:02 EST
same problem with ia32el that goes with EL3 U4
Comment 4 Jakub Jelinek 2004-11-08 10:36:59 EST
Should be fixed in ia32el-1.1-9 (RHEL4) and ia32el-1.1-8.EL3 (RHEL3 U4).
Comment 5 Jay Turner 2004-11-09 07:21:14 EST
Fix confirmed on RHEL4 with ia32el-1.1-9.

Note You need to log in before you can comment on or make changes to this bug.